Subject: Re: [PATCH] Handle branch names with slashes

From: Catalin Marinas <[email-masked]>
Date: Mon, 27 Feb 2006 12:29:51 +0000

On Mon, 2006-02-27 at 13:11 +0100, Karl Hasselström wrote:
> There was a bug here after all: I just tried "stg pick
> multi@kha/patches" (to pick a patch named "multi" from the branch
> "kha/patches"), and StGIT tried to pick the patch from branch "kha".

I haven't applied your patch yet (too busy to properly review it).

> Looking closer, I realized that the complete patch specification
> syntax is "patchname@branchname/bottom", not
> "patchname/bottom@branchname" as I had assumed. This is obviously hard
> to reconcile with branch names containing /.

I don't have any strong opinion on either. Maybe we should use the
latter if it makes things easier for supporting branch names with /'s.

-- 
Catalin